%define	name	qmail-remove
%define	version	0.93
%define	release	1rph

Summary:	Removes messages containing a particular string from your qmail queue.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://www.linuxmagic.com/opensource/qmail/qmail-remove/
Source0:	%{name}-%{version}.tar.bz2
Requires:	qmail
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is a useful thing to do in a number of situations.  For 
instance, if you are hit with a spamming attack, you can temporarily
instate a second qmail installation (once the spam run is finished),
allow it to take over mail receipt, and then use this tool to clean
the offending mails out of the queue before switching over to the main
qmail installation once again.

Occasionally, viruses will get past scanners before the signatures
get updated; if they exist in large numbers, it is often practical to
stop the qmail install briefly in order to clean out all messages 
containing a signature related to the virus.

Whatever the reason to pull items from your mail queue, this program
will delete them in such a manner that will let you restore them easily.

"Removed" Emails:

Mails are *not* deleted from the queue!  They are only stored, temporarily,
in $qmail-queue/yanked/, where you can view them individually and
restore them back to the queue manually.  There is currently no support
for restoring them automatically.

By default, qmail-remove assumes that your qmail queue is stored in
/var/qmail/queue, but this can be changed with a command line option.
Similarly, qmail-remove assumes that your queue "split" is 23 by
default, among other things.

%prep
%setup -q -n %{name}-%{version}

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
gcc %{optflags} -o %{name} %{name}.c

%install
install -d %{buildroot}%{_bindir}
install -s -m 755 populate.pl %{buildroot}%{_bindir}/
install -s -m 755 %{name} %{buildroot}%{_bindir}/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc README TODO
%{_bindir}/*

%changelog
* Mon Mar 10 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.93-1rph
- 0.93

* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.9-3rph
- build for 9.0
- some spec cleanups

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.9-2rph
- rebuild for rpmhelp.net

* Wed Nov 28 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9-1mdk
- initial cooker contrib.
